LightweightTriggerManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.dvr.event
Class LightweightTriggerManager

    java.lang.Object
      org.ocap.dvr.event.LightweightTriggerManager

    public abstract class LightweightTriggerManager

extends Object

This class represents a manager that can be used by a privileged application to create an artificial object carousel containing a DSMCCStreamEvent in the top level. The DSMCCStreamEvent can be populated by a privileged application. NOTE this is an expanded version of the GEM lightweight binding of the trigger API (GEM clause P.2.3.1 Lightweight binding of trigger API).

Method Summary
`static LightweightTriggerManager` | `getInstance()` Gets an instance of the manager.
`abstract void` | `registerHandler(LightweightTriggerHandler handler, short streamType)` Registers a handler interested in services with streams listed in the PMT with this stream type.
`abstract void` | `unregisterHandler(LightweightTriggerHandler handler)` Unregisters a handler that was previously registered by the registerHandler method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static LightweightTriggerManager getInstance()

  Gets an instance of the manager.

  Returns:
    An instance of the light-weight trigger manager.

### registerHandler

    public abstract void registerHandler(LightweightTriggerHandler handler,
                                         short streamType)

  Registers a handler interested in services with streams listed in the PMT with this stream type. The implementation SHALL continuously monitor all available PMTs in all available transport streams for the stream type.

  Parameters:
    `handler` - Handler to register.
    `streamType` - a stream type as signaled in the PMT.
  Throws:
    `IllegalArgumentException` - if streamType is not in the range 0x0 to 0xFF.
    `NullPointerException` - if handler is null.
    `SecurityException` - if the calling application is not signed.

### unregisterHandler

    public abstract void unregisterHandler(LightweightTriggerHandler handler)

  Unregisters a handler that was previously registered by the registerHandler method.

  Parameters:
    `handler` - The handle to unregister.
  Throws:
    `IllegalArgumentException` - if the handler was not previously registered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD